<?php

	$stylish_blog_tp_theme_css = "";

$stylish_blog_theme_lay = get_theme_mod( 'stylish_blog_tp_body_layout_settings','Full');
if($stylish_blog_theme_lay == 'Container'){
$stylish_blog_tp_theme_css .='body{';
	$stylish_blog_tp_theme_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
$stylish_blog_tp_theme_css .='}';
$stylish_blog_tp_theme_css .='@media screen and (max-width:575px){';
		$stylish_blog_tp_theme_css .='body{';
			$stylish_blog_tp_theme_css .='max-width: 100%; padding-right:0px; padding-left: 0px';
		$stylish_blog_tp_theme_css .='} }';
$stylish_blog_tp_theme_css .='.page-template-front-page .menubar{';
	$stylish_blog_tp_theme_css .='position: static;';
$stylish_blog_tp_theme_css .='}';
$stylish_blog_tp_theme_css .='.scrolled{';
	$stylish_blog_tp_theme_css .='width: auto; left:0; right:0;';
$stylish_blog_tp_theme_css .='}';
}else if($stylish_blog_theme_lay == 'Container Fluid'){
$stylish_blog_tp_theme_css .='body{';
	$stylish_blog_tp_theme_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
$stylish_blog_tp_theme_css .='}';
$stylish_blog_tp_theme_css .='@media screen and (max-width:575px){';
		$stylish_blog_tp_theme_css .='body{';
			$stylish_blog_tp_theme_css .='max-width: 100%; padding-right:0px; padding-left:0px';
		$stylish_blog_tp_theme_css .='} }';
$stylish_blog_tp_theme_css .='.page-template-front-page .menubar{';
	$stylish_blog_tp_theme_css .='width: 99%';
$stylish_blog_tp_theme_css .='}';		
$stylish_blog_tp_theme_css .='.scrolled{';
	$stylish_blog_tp_theme_css .='width: auto; left:0; right:0;';
$stylish_blog_tp_theme_css .='}';
}else if($stylish_blog_theme_lay == 'Full'){
$stylish_blog_tp_theme_css .='body{';
	$stylish_blog_tp_theme_css .='max-width: 100%;';
$stylish_blog_tp_theme_css .='}';
}

$stylish_blog_scroll_position = get_theme_mod( 'stylish_blog_scroll_top_position','Right');
if($stylish_blog_scroll_position == 'Right'){
$stylish_blog_tp_theme_css .='#return-to-top{';
    $stylish_blog_tp_theme_css .='right: 20px;';
$stylish_blog_tp_theme_css .='}';
}else if($stylish_blog_scroll_position == 'Left'){
$stylish_blog_tp_theme_css .='#return-to-top{';
    $stylish_blog_tp_theme_css .='left: 20px;';
$stylish_blog_tp_theme_css .='}';
}else if($stylish_blog_scroll_position == 'Center'){
$stylish_blog_tp_theme_css .='#return-to-top{';
    $stylish_blog_tp_theme_css .='right: 50%;left: 50%;';
$stylish_blog_tp_theme_css .='}';
}

    
//Social icon Font size
$stylish_blog_social_icon_fontsize = get_theme_mod('stylish_blog_social_icon_fontsize');
	$stylish_blog_tp_theme_css .='.media-links a i{';
$stylish_blog_tp_theme_css .='font-size: '.esc_attr($stylish_blog_social_icon_fontsize).'px;';
$stylish_blog_tp_theme_css .='}';

// site title font size option
$stylish_blog_site_title_font_size = get_theme_mod('stylish_blog_site_title_font_size', 25);{
$stylish_blog_tp_theme_css .='.logo h1 , .logo p a{';
	$stylish_blog_tp_theme_css .='font-size: '.esc_attr($stylish_blog_site_title_font_size).'px;';
$stylish_blog_tp_theme_css .='}';
}

//site tagline font size option
$stylish_blog_site_tagline_font_size = get_theme_mod('stylish_blog_site_tagline_font_size', 15);{
$stylish_blog_tp_theme_css .='.logo p{';
	$stylish_blog_tp_theme_css .='font-size: '.esc_attr($stylish_blog_site_tagline_font_size).'px;';
$stylish_blog_tp_theme_css .='}';
}

// related post
$stylish_blog_related_post_mob = get_theme_mod('stylish_blog_related_post_mob', true);
$stylish_blog_related_post = get_theme_mod('stylish_blog_remove_related_post', true);
$stylish_blog_tp_theme_css .= '.related-post-block {';
if ($stylish_blog_related_post == false) {
    $stylish_blog_tp_theme_css .= 'display: none;';
}
$stylish_blog_tp_theme_css .= '}';
$stylish_blog_tp_theme_css .= '@media screen and (max-width: 575px) {';
if ($stylish_blog_related_post == false || $stylish_blog_related_post_mob == false) {
    $stylish_blog_tp_theme_css .= '.related-post-block { display: none; }';
}
$stylish_blog_tp_theme_css .= '}';

// slider btn
$stylish_blog_slider_buttom_mob = get_theme_mod('stylish_blog_slider_buttom_mob', true);
$stylish_blog_slider_button = get_theme_mod('stylish_blog_slider_button', true);
$stylish_blog_tp_theme_css .= '#slider .more-btn {';
if ($stylish_blog_slider_button == false) {
    $stylish_blog_tp_theme_css .= 'display: none;';
}
$stylish_blog_tp_theme_css .= '}';
$stylish_blog_tp_theme_css .= '@media screen and (max-width: 575px) {';
if ($stylish_blog_slider_button == false || $stylish_blog_slider_buttom_mob == false) {
    $stylish_blog_tp_theme_css .= '#slider .more-btn { display: none; }';
}
$stylish_blog_tp_theme_css .= '}';

//return to header mobile               
$stylish_blog_return_to_header_mob = get_theme_mod('stylish_blog_return_to_header_mob', true);
$stylish_blog_return_to_header = get_theme_mod('stylish_blog_return_to_header', true);
$stylish_blog_tp_theme_css .= '.return-to-header{';
if ($stylish_blog_return_to_header == false) {
    $stylish_blog_tp_theme_css .= 'display: none;';
}
$stylish_blog_tp_theme_css .= '}';
$stylish_blog_tp_theme_css .= '@media screen and (max-width: 575px) {';
if ($stylish_blog_return_to_header == false || $stylish_blog_return_to_header_mob == false) {
    $stylish_blog_tp_theme_css .= '.return-to-header{ display: none; }';
}
$stylish_blog_tp_theme_css .= '}';

//blog description              
$stylish_blog_mobile_blog_description = get_theme_mod('stylish_blog_mobile_blog_description', true);
$stylish_blog_tp_theme_css .= '@media screen and (max-width: 575px) {';
if ($stylish_blog_mobile_blog_description == false) {
    $stylish_blog_tp_theme_css .= '.blog-description{ display: none; }';
}
$stylish_blog_tp_theme_css .= '}';

//footer image
$stylish_blog_footer_widget_image = get_theme_mod('stylish_blog_footer_widget_image');
if($stylish_blog_footer_widget_image != false){
$stylish_blog_tp_theme_css .='#footer{';
	$stylish_blog_tp_theme_css .='background: url('.esc_attr($stylish_blog_footer_widget_image).');';
$stylish_blog_tp_theme_css .='}';
}

// related product
$stylish_blog_related_product = get_theme_mod('stylish_blog_related_product',true);
if($stylish_blog_related_product == false){
$stylish_blog_tp_theme_css .='.related.products{';
	$stylish_blog_tp_theme_css .='display: none;';
$stylish_blog_tp_theme_css .='}';
}

//menu font size
$stylish_blog_menu_font_size = get_theme_mod('stylish_blog_menu_font_size', 18);{
$stylish_blog_tp_theme_css .='.main-navigation a, .main-navigation li.page_item_has_children:after,.main-navigation li.menu-item-has-children:after{';
	$stylish_blog_tp_theme_css .='font-size: '.esc_attr($stylish_blog_menu_font_size).'px;';
$stylish_blog_tp_theme_css .='}';
}

// menu text tranform
$stylish_blog_menu_text_tranform = get_theme_mod( 'stylish_blog_menu_text_tranform','capitalize');
if($stylish_blog_menu_text_tranform == 'Uppercase'){
$stylish_blog_tp_theme_css .='.main-navigation a {';
	$stylish_blog_tp_theme_css .='text-transform: uppercase;';
$stylish_blog_tp_theme_css .='}';
}else if($stylish_blog_menu_text_tranform == 'Lowercase'){
$stylish_blog_tp_theme_css .='.main-navigation a {';
	$stylish_blog_tp_theme_css .='text-transform: lowercase;';
$stylish_blog_tp_theme_css .='}';
}
else if($stylish_blog_menu_text_tranform == 'Capitalize'){
$stylish_blog_tp_theme_css .='.main-navigation a {';
	$stylish_blog_tp_theme_css .='text-transform: capitalize;';
$stylish_blog_tp_theme_css .='}';
}

//sale position
$stylish_blog_scroll_position = get_theme_mod( 'stylish_blog_sale_tag_position','right');
if($stylish_blog_scroll_position == 'right'){
$stylish_blog_tp_theme_css .='.woocommerce ul.products li.product .onsale{';
    $stylish_blog_tp_theme_css .='right: 25px !important;';
$stylish_blog_tp_theme_css .='}';
}else if($stylish_blog_scroll_position == 'left'){
$stylish_blog_tp_theme_css .='.woocommerce ul.products li.product .onsale{';
    $stylish_blog_tp_theme_css .='left: 25px !important;';
$stylish_blog_tp_theme_css .='}';
}

//Font Weight
$stylish_blog_menu_font_weight = get_theme_mod( 'stylish_blog_menu_font_weight','700');
if($stylish_blog_menu_font_weight == '100'){
$stylish_blog_tp_theme_css .='.main-navigation a{';
    $stylish_blog_tp_theme_css .='font-weight: 100;';
$stylish_blog_tp_theme_css .='}';
}else if($stylish_blog_menu_font_weight == '200'){
$stylish_blog_tp_theme_css .='.main-navigation a{';
    $stylish_blog_tp_theme_css .='font-weight: 200;';
$stylish_blog_tp_theme_css .='}';
}else if($stylish_blog_menu_font_weight == '300'){
$stylish_blog_tp_theme_css .='.main-navigation a{';
    $stylish_blog_tp_theme_css .='font-weight: 300;';
$stylish_blog_tp_theme_css .='}';
}else if($stylish_blog_menu_font_weight == '400'){
$stylish_blog_tp_theme_css .='.main-navigation a{';
    $stylish_blog_tp_theme_css .='font-weight: 400;';
$stylish_blog_tp_theme_css .='}';
}else if($stylish_blog_menu_font_weight == '500'){
$stylish_blog_tp_theme_css .='.main-navigation a{';
    $stylish_blog_tp_theme_css .='font-weight: 500;';
$stylish_blog_tp_theme_css .='}';
}else if($stylish_blog_menu_font_weight == '600'){
$stylish_blog_tp_theme_css .='.main-navigation a{';
    $stylish_blog_tp_theme_css .='font-weight: 600;';
$stylish_blog_tp_theme_css .='}';
}else if($stylish_blog_menu_font_weight == '700'){
$stylish_blog_tp_theme_css .='.main-navigation a{';
    $stylish_blog_tp_theme_css .='font-weight: 700;';
$stylish_blog_tp_theme_css .='}';
}else if($stylish_blog_menu_font_weight == '800'){
$stylish_blog_tp_theme_css .='.main-navigation a{';
    $stylish_blog_tp_theme_css .='font-weight: 800;';
$stylish_blog_tp_theme_css .='}';
}else if($stylish_blog_menu_font_weight == '900'){
$stylish_blog_tp_theme_css .='.main-navigation a{';
    $stylish_blog_tp_theme_css .='font-weight: 900;';
$stylish_blog_tp_theme_css .='}';
}

/*------------- Blog Page------------------*/
	$stylish_blog_post_image_round = get_theme_mod('stylish_blog_post_image_round', 0);
	if($stylish_blog_post_image_round != false){
		$stylish_blog_tp_theme_css .='.blog .box-image img{';
			$stylish_blog_tp_theme_css .='border-radius: '.esc_attr($stylish_blog_post_image_round).'px;';
		$stylish_blog_tp_theme_css .='}';
	}

	$stylish_blog_post_image_width = get_theme_mod('stylish_blog_post_image_width', '');
	if($stylish_blog_post_image_width != false){
		$stylish_blog_tp_theme_css .='.blog .box-image img{';
			$stylish_blog_tp_theme_css .='Width: '.esc_attr($stylish_blog_post_image_width).'px;';
		$stylish_blog_tp_theme_css .='}';
	}

	$stylish_blog_post_image_length = get_theme_mod('stylish_blog_post_image_length', '');
	if($stylish_blog_post_image_length != false){
		$stylish_blog_tp_theme_css .='.blog .box-image img{';
			$stylish_blog_tp_theme_css .='height: '.esc_attr($stylish_blog_post_image_length).'px;';
		$stylish_blog_tp_theme_css .='}';
	}

// footer widget title font size
	$stylish_blog_footer_widget_title_font_size = get_theme_mod('stylish_blog_footer_widget_title_font_size', '');{
	$stylish_blog_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
		$stylish_blog_tp_theme_css .='font-size: '.esc_attr($stylish_blog_footer_widget_title_font_size).'px;';
	$stylish_blog_tp_theme_css .='}';
	}

	// Copyright text font size
	$stylish_blog_footer_copyright_font_size = get_theme_mod('stylish_blog_footer_copyright_font_size', '');{
	$stylish_blog_tp_theme_css .='#footer .site-info p{';
		$stylish_blog_tp_theme_css .='font-size: '.esc_attr($stylish_blog_footer_copyright_font_size).'px;';
	$stylish_blog_tp_theme_css .='}';
	}

	// copyright padding
	$stylish_blog_footer_copyright_top_bottom_padding = get_theme_mod('stylish_blog_footer_copyright_top_bottom_padding', '');
	if ($stylish_blog_footer_copyright_top_bottom_padding !== '') { 
	    $stylish_blog_tp_theme_css .= '.site-info {';
	    $stylish_blog_tp_theme_css .= 'padding-top: ' . esc_attr($stylish_blog_footer_copyright_top_bottom_padding) . 'px;';
	    $stylish_blog_tp_theme_css .= 'padding-bottom: ' . esc_attr($stylish_blog_footer_copyright_top_bottom_padding) . 'px;';
	    $stylish_blog_tp_theme_css .= '}';
	}

	// copyright position
	$stylish_blog_copyright_text_position = get_theme_mod( 'stylish_blog_copyright_text_position','Center');
	if($stylish_blog_copyright_text_position == 'Center'){
	$stylish_blog_tp_theme_css .='#footer .site-info p{';
	$stylish_blog_tp_theme_css .='text-align:center;';
	$stylish_blog_tp_theme_css .='}';
	}else if($stylish_blog_copyright_text_position == 'Left'){
	$stylish_blog_tp_theme_css .='#footer .site-info p{';
	$stylish_blog_tp_theme_css .='text-align:left;';
	$stylish_blog_tp_theme_css .='}';
	}else if($stylish_blog_copyright_text_position == 'Right'){
	$stylish_blog_tp_theme_css .='#footer .site-info p{';
	$stylish_blog_tp_theme_css .='text-align:right;';
	$stylish_blog_tp_theme_css .='}';
}

// Header Image title font size
$stylish_blog_header_image_title_font_size = get_theme_mod('stylish_blog_header_image_title_font_size', '32');{
$stylish_blog_tp_theme_css .='.box-text h2{';
    $stylish_blog_tp_theme_css .='font-size: '.esc_attr($stylish_blog_header_image_title_font_size).'px;';
$stylish_blog_tp_theme_css .='}';
}


/*--------------------------- banner image Opacity -------------------*/
    $stylish_blog_theme_lay = get_theme_mod( 'stylish_blog_header_banner_opacity_color','0.5');
        if($stylish_blog_theme_lay == '0'){
            $stylish_blog_tp_theme_css .='.single-page-img, .featured-image{';
                $stylish_blog_tp_theme_css .='opacity:0';
            $stylish_blog_tp_theme_css .='}';
        }else if($stylish_blog_theme_lay == '0.1'){
            $stylish_blog_tp_theme_css .='.single-page-img, .featured-image{';
                $stylish_blog_tp_theme_css .='opacity:0.1';
            $stylish_blog_tp_theme_css .='}';
        }else if($stylish_blog_theme_lay == '0.2'){
            $stylish_blog_tp_theme_css .='.single-page-img, .featured-image{';
                $stylish_blog_tp_theme_css .='opacity:0.2';
            $stylish_blog_tp_theme_css .='}';
        }else if($stylish_blog_theme_lay == '0.3'){
            $stylish_blog_tp_theme_css .='.single-page-img, .featured-image{';
                $stylish_blog_tp_theme_css .='opacity:0.3';
            $stylish_blog_tp_theme_css .='}';
        }else if($stylish_blog_theme_lay == '0.4'){
            $stylish_blog_tp_theme_css .='.single-page-img, .featured-image{';
                $stylish_blog_tp_theme_css .='opacity:0.4';
            $stylish_blog_tp_theme_css .='}';
        }else if($stylish_blog_theme_lay == '0.5'){
            $stylish_blog_tp_theme_css .='.single-page-img, .featured-image{';
                $stylish_blog_tp_theme_css .='opacity:0.5';
            $stylish_blog_tp_theme_css .='}';
        }else if($stylish_blog_theme_lay == '0.6'){
            $stylish_blog_tp_theme_css .='.single-page-img, .featured-image{';
                $stylish_blog_tp_theme_css .='opacity:0.6';
            $stylish_blog_tp_theme_css .='}';
        }else if($stylish_blog_theme_lay == '0.7'){
            $stylish_blog_tp_theme_css .='.single-page-img, .featured-image{';
                $stylish_blog_tp_theme_css .='opacity:0.7';
            $stylish_blog_tp_theme_css .='}';
        }else if($stylish_blog_theme_lay == '0.8'){
            $stylish_blog_tp_theme_css .='.single-page-img, .featured-image{';
                $stylish_blog_tp_theme_css .='opacity:0.8';
            $stylish_blog_tp_theme_css .='}';
        }else if($stylish_blog_theme_lay == '0.9'){
            $stylish_blog_tp_theme_css .='.single-page-img, .featured-image{';
                $stylish_blog_tp_theme_css .='opacity:0.9';
            $stylish_blog_tp_theme_css .='}';
        }else if($stylish_blog_theme_lay == '1'){
            $stylish_blog_tp_theme_css .='.single-page-img, .featured-image{';
                $stylish_blog_tp_theme_css .='opacity:1';
            $stylish_blog_tp_theme_css .='}';
        }

    $stylish_blog_header_banner_image_overlay = get_theme_mod('stylish_blog_header_banner_image_overlay', true);
    if($stylish_blog_header_banner_image_overlay == false){
        $stylish_blog_tp_theme_css .='.single-page-img, .featured-image{';
            $stylish_blog_tp_theme_css .='opacity:1;';
        $stylish_blog_tp_theme_css .='}';
    }

    $stylish_blog_header_banner_image_ooverlay_color = get_theme_mod('stylish_blog_header_banner_image_ooverlay_color', true);
    if($stylish_blog_header_banner_image_ooverlay_color != false){
        $stylish_blog_tp_theme_css .='.box-image-page{';
            $stylish_blog_tp_theme_css .='background-color: '.esc_attr($stylish_blog_header_banner_image_ooverlay_color).';';
        $stylish_blog_tp_theme_css .='}';
    }

    // Slider Height
    $stylish_blog_slider_img_height      = get_theme_mod('stylish_blog_slider_img_height');
    $stylish_blog_slider_img_height_resp = get_theme_mod('stylish_blog_slider_img_height_responsive');

    // Desktop height
    $stylish_blog_tp_theme_css .= '@media screen and (min-width: 768px) {';
    $stylish_blog_tp_theme_css .= '.main-news-box {';
    if ( $stylish_blog_slider_img_height ) {
        $stylish_blog_tp_theme_css .= 'height: ' . esc_attr( $stylish_blog_slider_img_height ) . ';';
    }
    $stylish_blog_tp_theme_css .= 'width: 100%; object-fit: cover;';
    $stylish_blog_tp_theme_css .= '}';
    $stylish_blog_tp_theme_css .= '}';

    // Mobile height
    $stylish_blog_tp_theme_css .= '@media screen and (max-width: 767px) {';
    $stylish_blog_tp_theme_css .= '.main-news-box {';
    if ( $stylish_blog_slider_img_height_resp ) {
        $stylish_blog_tp_theme_css .= 'height: ' . esc_attr( $stylish_blog_slider_img_height_resp ) . ' !important;';
    }
    $stylish_blog_tp_theme_css .= 'width: 100%; object-fit: cover;';
    $stylish_blog_tp_theme_css .= '}';
    $stylish_blog_tp_theme_css .= '}';

    
    //First Cap ( Blog Post )
    $stylish_blog_show_first_caps = get_theme_mod('stylish_blog_show_first_caps', 'false');
    if($stylish_blog_show_first_caps == 'true' ){
    $stylish_blog_tp_theme_css .='.blog .page-box p:nth-of-type(1)::first-letter{';
    $stylish_blog_tp_theme_css .=' font-size: 55px; font-weight: 600;';
    $stylish_blog_tp_theme_css .=' margin-right: 6px;';
    $stylish_blog_tp_theme_css .=' line-height: 1;';
    $stylish_blog_tp_theme_css .='}';
    }elseif($stylish_blog_show_first_caps == 'false' ){
    $stylish_blog_tp_theme_css .='.blog .page-box p:nth-of-type(1)::first-letter {';
    $stylish_blog_tp_theme_css .='display: none;';
    $stylish_blog_tp_theme_css .='}';
    }

    // Menu hover effect
    $stylish_blog_menus_item = get_theme_mod( 'stylish_blog_menus_item_style','None');
    if($stylish_blog_menus_item == 'None'){
        $stylish_blog_tp_theme_css .='.main-navigation a:hover{';
            $stylish_blog_tp_theme_css .='';
        $stylish_blog_tp_theme_css .='}';
    }else if($stylish_blog_menus_item == 'Zoom In'){
        $stylish_blog_tp_theme_css .='.main-navigation a:hover{';
            $stylish_blog_tp_theme_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important;';
        $stylish_blog_tp_theme_css .='}';
    }

    
// footer widget letter case
$stylish_blog_footer_widget_title_text_tranform = get_theme_mod( 'stylish_blog_footer_widget_title_text_tranform','');
if($stylish_blog_footer_widget_title_text_tranform == 'Uppercase'){
$stylish_blog_tp_theme_css .='#footer h2, #footer h3, #footer h1.wp-block-heading, #footer h2.wp-block-heading, #footer h3.wp-block-heading, #footer h4.wp-block-heading, #footer h5.wp-block-heading, #footer h6.wp-block-heading {';
    $stylish_blog_tp_theme_css .='text-transform: uppercase;';
$stylish_blog_tp_theme_css .='}';
}else if($stylish_blog_footer_widget_title_text_tranform == 'Lowercase'){
$stylish_blog_tp_theme_css .='#footer h2, #footer h3, #footer h1.wp-block-heading, #footer h2.wp-block-heading, #footer h3.wp-block-heading, #footer h4.wp-block-heading, #footer h5.wp-block-heading, #footer h6.wp-block-heading {';
    $stylish_blog_tp_theme_css .='text-transform: lowercase;';
$stylish_blog_tp_theme_css .='}';
}
else if($stylish_blog_footer_widget_title_text_tranform == 'Capitalize'){
$stylish_blog_tp_theme_css .='#footer h2, #footer h3, #footer h1.wp-block-heading, #footer h2.wp-block-heading, #footer h3.wp-block-heading, #footer h4.wp-block-heading, #footer h5.wp-block-heading, #footer h6.wp-block-heading {';
    $stylish_blog_tp_theme_css .='text-transform: capitalize;';
$stylish_blog_tp_theme_css .='}';
}

//Footer Font Weight
$stylish_blog_footer_widget_title_font_weight = get_theme_mod( 'stylish_blog_footer_widget_title_font_weight','');
if($stylish_blog_footer_widget_title_font_weight == '100'){
$stylish_blog_tp_theme_css .='#footer h2, #footer h3, #footer h1.wp-block-heading, #footer h2.wp-block-heading, #footer h3.wp-block-heading, #footer h4.wp-block-heading, #footer h5.wp-block-heading, #footer h6.wp-block-heading {';
    $stylish_blog_tp_theme_css .='font-weight: 100;';
$stylish_blog_tp_theme_css .='}';
}else if($stylish_blog_footer_widget_title_font_weight == '200'){
$stylish_blog_tp_theme_css .='#footer h2, #footer h3, #footer h1.wp-block-heading, #footer h2.wp-block-heading, #footer h3.wp-block-heading, #footer h4.wp-block-heading, #footer h5.wp-block-heading, #footer h6.wp-block-heading {';
    $stylish_blog_tp_theme_css .='font-weight: 200;';
$stylish_blog_tp_theme_css .='}';
}else if($stylish_blog_footer_widget_title_font_weight == '300'){
$stylish_blog_tp_theme_css .='#footer h2, #footer h3, #footer h1.wp-block-heading, #footer h2.wp-block-heading, #footer h3.wp-block-heading, #footer h4.wp-block-heading, #footer h5.wp-block-heading, #footer h6.wp-block-heading {';
    $stylish_blog_tp_theme_css .='font-weight: 300;';
$stylish_blog_tp_theme_css .='}';
}else if($stylish_blog_footer_widget_title_font_weight == '400'){
$stylish_blog_tp_theme_css .='#footer h2, #footer h3, #footer h1.wp-block-heading, #footer h2.wp-block-heading, #footer h3.wp-block-heading, #footer h4.wp-block-heading, #footer h5.wp-block-heading, #footer h6.wp-block-heading {';
    $stylish_blog_tp_theme_css .='font-weight: 400;';
$stylish_blog_tp_theme_css .='}';
}else if($stylish_blog_footer_widget_title_font_weight == '500'){
$stylish_blog_tp_theme_css .='#footer h2, #footer h3, #footer h1.wp-block-heading, #footer h2.wp-block-heading, #footer h3.wp-block-heading, #footer h4.wp-block-heading, #footer h5.wp-block-heading, #footer h6.wp-block-heading {';
    $stylish_blog_tp_theme_css .='font-weight: 500;';
$stylish_blog_tp_theme_css .='}';
}else if($stylish_blog_footer_widget_title_font_weight == '600'){
$stylish_blog_tp_theme_css .='#footer h2, #footer h3, #footer h1.wp-block-heading, #footer h2.wp-block-heading, #footer h3.wp-block-heading, #footer h4.wp-block-heading, #footer h5.wp-block-heading, #footer h6.wp-block-heading {';
    $stylish_blog_tp_theme_css .='font-weight: 600;';
$stylish_blog_tp_theme_css .='}';
}else if($stylish_blog_footer_widget_title_font_weight == '700'){
$stylish_blog_tp_theme_css .='#footer h2, #footer h3, #footer h1.wp-block-heading, #footer h2.wp-block-heading, #footer h3.wp-block-heading, #footer h4.wp-block-heading, #footer h5.wp-block-heading, #footer h6.wp-block-heading {';
    $stylish_blog_tp_theme_css .='font-weight: 700;';
$stylish_blog_tp_theme_css .='}';
}else if($stylish_blog_footer_widget_title_font_weight == '800'){
$stylish_blog_tp_theme_css .='#footer h2, #footer h3, #footer h1.wp-block-heading, #footer h2.wp-block-heading, #footer h3.wp-block-heading, #footer h4.wp-block-heading, #footer h5.wp-block-heading, #footer h6.wp-block-heading {';
    $stylish_blog_tp_theme_css .='font-weight: 800;';
$stylish_blog_tp_theme_css .='}';
}else if($stylish_blog_footer_widget_title_font_weight == '900'){
$stylish_blog_tp_theme_css .='#footer h2, #footer h3, #footer h1.wp-block-heading, #footer h2.wp-block-heading, #footer h3.wp-block-heading, #footer h4.wp-block-heading, #footer h5.wp-block-heading, #footer h6.wp-block-heading {';
    $stylish_blog_tp_theme_css .='font-weight: 900;';
$stylish_blog_tp_theme_css .='}';
}

// footer widget position
$stylish_blog_footer_widget_title_position = get_theme_mod( 'stylish_blog_footer_widget_title_position','');
if($stylish_blog_footer_widget_title_position == 'Right'){
$stylish_blog_tp_theme_css .='#footer aside.widget-area{';
$stylish_blog_tp_theme_css .='text-align: right;';
$stylish_blog_tp_theme_css .='}';
}else if($stylish_blog_footer_widget_title_position == 'Left'){
$stylish_blog_tp_theme_css .='#footer aside.widget-area{';
$stylish_blog_tp_theme_css .='text-align: left;';
$stylish_blog_tp_theme_css .='}';
}else if($stylish_blog_footer_widget_title_position == 'Center'){
$stylish_blog_tp_theme_css .='#footer aside.widget-area{';
$stylish_blog_tp_theme_css .='text-align: center;';
$stylish_blog_tp_theme_css .='}';
}
